MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027242Community[OCCT] OCCT:Configurationpublic2016-03-09 21:322016-04-20 15:49
Reportersolomin_s 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027242: Configuration - add missing Standard_EXPORT to OpenGl_TextBuilder class constructor
DescriptionOpenGl_TextBuilder has methods marked Standard_EXPORT, but constructor has no Standard_EXPORT. So there is no way to create OpenGl_TextBuilder on windows outside of OpenGl package.
 error LNK2019: unresolved external symbol "public: __cdecl OpenGl_TextBuilder::OpenGl_TextBuilder(void)"
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0051497)
git (administrator)
2016-03-10 09:53

Branch CR27242 has been created by kgv.

SHA-1: 5e3344130ec04941ee64f61ff3c8a0c0ee08eff5


Detailed log of new commits:

Author: kgv
Date: Thu Mar 10 09:53:35 2016 +0300

    0027242: Configuration - add missing Standard_EXPORT to OpenGl_TextBuilder class constructor
(0051498)
kgv (developer)
2016-03-10 09:54

Please check compilation on Windows, testing is not needed.
(0051509)
mkv (tester)
2016-03-10 14:26

Dear BugMaster,
Branch CR27242 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 5e3344130ec04941ee64f61ff3c8a0c0ee08eff5

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 41 (41 on master)
Windows: 0 (0 on master)
(0051510)
mkv (tester)
2016-03-10 14:27

Dear BugMaster,
Branch CR27242 is TESTED.
(0052822)
git (administrator)
2016-04-17 13:07

Branch CR27242 has been deleted by kgv.

SHA-1: 5e3344130ec04941ee64f61ff3c8a0c0ee08eff5

- Related Changesets
occt: master 978ca537
Timestamp: 2016-03-10 06:53:35
Author: abv
Committer: abv
Details ] Diff ]
0027242: Configuration - add missing Standard_EXPORT to OpenGl_TextBuilder class constructor
mod - src/OpenGl/OpenGl_TextBuilder.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-09 21:32 solomin_s New Issue
2016-03-09 21:32 solomin_s Assigned To => kgv
2016-03-09 21:50 kgv Relationship added related to 0026361
2016-03-10 09:53 kgv Severity minor => trivial
2016-03-10 09:53 kgv Status new => assigned
2016-03-10 09:53 kgv Category OCCT:Visualization => OCCT:Configuration
2016-03-10 09:53 kgv Summary OpenGl_TextBuilder has hidden constructor => Configuration - add missing Standard_EXPORT to OpenGl_TextBuilder class constructor
2016-03-10 09:53 git Note Added: 0051497
2016-03-10 09:54 kgv Note Added: 0051498
2016-03-10 09:54 kgv Assigned To kgv => bugmaster
2016-03-10 09:54 kgv Status assigned => resolved
2016-03-10 09:54 kgv Status resolved => reviewed
2016-03-10 09:54 kgv Relationship replaced child of 0026361
2016-03-10 12:24 mkv Assigned To bugmaster => mkv
2016-03-10 14:26 mkv Note Added: 0051509
2016-03-10 14:27 mkv Note Added: 0051510
2016-03-10 14:27 mkv Assigned To mkv => bugmaster
2016-03-10 14:27 mkv Status reviewed => tested
2016-03-10 14:27 mkv Test case number => Not needed
2016-03-21 14:58 abv Changeset attached => occt master 978ca537
2016-03-21 14:58 abv Assigned To bugmaster => abv
2016-03-21 14:58 abv Status tested => verified
2016-03-21 14:58 abv Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052822
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker